Update answer
PUT
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidquestionnaire_id*Questionnaire IdFormat
uuidquestion_id*Question IdFormat
uuidapplication/json- body
answer*AnswerLength
1 <= length <= 12000approve?ApproveDefault
falsecitations?array<>Items
items <= 10expected_version*Expected VersionRange
1 <= valuereview_notes?Review NotesLength
length <= 4000Default
""reviewer_attestation?Reviewer AttestationDefault
falseSuccessful Response
application/json- response
questionnaire*questions*array<>curl -X PUT 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/questionnaires/497f6eca-6276-4993-bfeb-53cbbbba6f08/questions/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{ "answer": "string", "expected_version": 1}'Example Response
{ "questionnaire": { "approved_count": 0, "created_at": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "question_count": 0, "title": "string", "updated_at": "2019-08-24T14:15:22Z", "version": 0, "warnings": [ "string" ] }, "questions": [ { "answer": "string", "answer_basis": "unsupported", "approved_at": "2019-08-24T14:15:22Z", "approved_by": "02030314-b162-4b4d-8af1-88eabdcc615d", "citations": [ { "content_sha256": "string", "evidence_ids": [ "973ab5a6-b373-447d-ab9d-bdb660b35afc" ], "observed_at": "2019-08-24T14:15:22Z", "quote": "string", "report_id": "5ed7905a-4735-4cf7-b1ab-521e066fb971", "report_revision": 0, "source_key": "string", "stale": true, "status": "string", "title": "string", "warnings": [ "string" ] } ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "position": 0, "question": "string", "reference": "string", "review_notes": "string", "status": "unanswered", "version": 0, "warnings": [ "string" ] } ]}